--- 
- - !ruby/regexp /^(?i-mx:^no$)/
  - :no
- - !ruby/regexp /^(?i-mx:^yes$)/
  - :yes
- - !ruby/regexp /^(?i-mx:^(:q|quit|exit|bye)$)/
  - :quit
- - !ruby/regexp /^(.*?) is a synonym for (.*)/
  - :add_synonym
- - !ruby/regexp /^(.*?) is like (.*)/
  - :add_synonym
- - !ruby/regexp /^save syn/
  - :save_synonyms
- - !ruby/regexp /^load syn/
  - :load_synonyms
- - !ruby/regexp /^add pattern (.*), (.*)/
  - :add_pattern
- - !ruby/regexp /^>(.*)/
  - :defining_method
- - !ruby/regexp /^restart/
  - restart
- - !ruby/regexp /^show api/
  - show_api
- - !ruby/regexp /^show (.*)'s api/
  - :show_one_method_api
- - !ruby/regexp /(?i-mx:^print graph)/
  - print_graph
- - !ruby/regexp /(?i-mx:^print the graph)/
  - print_graph
- - !ruby/regexp /(?i-mx:^save (?:the )?graph (?:to )?(.*))/
  - save_graph
- - !ruby/regexp /(?i-mx:^save graph(.*)?)/
  - save_graph
- - !ruby/regexp /(?i-mx:^save the graph(.*)?)/
  - save_graph
- - !ruby/regexp /(?i-mx:^reset graph)/
  - reset_graph
- - !ruby/regexp /(?i-mx:^reset the graph)/
  - reset_graph
- - !ruby/regexp /(?i-mx:^what is the last file (?:you )?read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what was the last file read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what was the last file you read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what (?:was|is) the file (?:you )?last read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what (?:was|is) the file (?:you )?read last)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what file did (?:you )?read last)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what file did (?:you )?last read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what is the save mode)/
  - what_is_save_mode
- - !ruby/regexp /(?i-mx:^what is your save mode)/
  - what_is_save_mode
- - !ruby/regexp /(?i-mx:^what is the setting (?:for |of )(?:the|your) save mode)/
  - what_is_save_mode
- - !ruby/regexp /(?i-mx:^how many facts)/
  - how_many_facts
- - !ruby/regexp /(?-mx:make verb agree(?:\:)? (.*))/
  - make_verb_agree_1
- - !ruby/regexp /(?i-mx:^(.*) is a name)/
  - add_name
- - !ruby/regexp /(?i-mx:^what are the names)/
  - what_are_names
- - !ruby/regexp /(?i-mx:^(.*) is not a name)/
  - x_is_not_a_name
- - !ruby/regexp /(?i-mx:^what is the opposite of (.*))/
  - what_is_the_opposite_of
- - !ruby/regexp /(?i-mx:^is (.*) the opposite of (.*))/
  - what_is_the_opposite_of
- - !ruby/regexp /(?i-mx:^\"(.*)\" is the opposite of \"(.*)\")/
  - add_to_opposites
- - !ruby/regexp /(?i-mx:^(.*) is the opposite of (.*))/
  - add_to_opposites
- - !ruby/regexp /(?i-mx:^\"(.*)\" and \"(.*)\" are opposites)/
  - add_to_opposites
- - !ruby/regexp /(?i-mx:^(.* is .*) and (.*)\. (which .*))/i
  - handle_three_inputs_on_one_line
- - !ruby/regexp /(?i-mx:^(.* is .*) and (.*)\. (who .*))/i
  - handle_three_inputs_on_one_line
- - !ruby/regexp /(?i-mx:what color is (.*))/
  - what_color_is_x
- - !ruby/regexp /(?i-mx:what color are (.*))/
  - what_color_is_x
- - !ruby/regexp /(?i-mx:what (.*) is (.*))/
  - what_x_is_y
- - !ruby/regexp /(?i-mx:what (.*) are (.*))/
  - what_x_is_y
- - !ruby/regexp /(?i-mx:^what is \"(.*)\")/
  - what_is
- - !ruby/regexp /(?i-mx:^what is (.*) heavier than)/
  - what_is_a_heavier_than?
- - !ruby/regexp /(?i-mx:^what is (.*) related to)/
  - what_is_a_related_to?
- - !ruby/regexp /(?i-mx:what (?:is|are|was|were) (.*) used for)/
  - what_is_a_used_for
- - !ruby/regexp /(?i-mx:what is a use for (.*))/
  - what_is_a_used_for
- - !ruby/regexp /(?i-mx:what can.*use (.*) for)/
  - what_is_a_used_for
- - !ruby/regexp /(?i-mx:^what is (.*) called)/
  - what_is
- - !ruby/regexp /(?i-mx:^what are (.*) called)/
  - what_is
- - !ruby/regexp /(?i-mx:^what was (.*) called)/
  - what_is
- - !ruby/regexp /(?i-mx:^what were (.*) called)/
  - what_is
- - !ruby/regexp /(?i-mx:which is (.*), (.*) or (.*))/
  - which_is_blanker
- - !ruby/regexp /(?i-mx:who is (.*), (.*) or (.*))/
  - which_is_blanker
- - !ruby/regexp /(?i-mx:^what is (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^what was (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^who am (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^who is (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^who was (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^tell me about (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:what are those)/
  - what_are_those
- - !ruby/regexp /^what are (.*)/
  - what_is
- - !ruby/regexp /^what were (.*)/
  - what_is
- - !ruby/regexp /^who are (.*)/
  - what_is
- - !ruby/regexp /^who were (.*)/
  - what_is
- - !ruby/regexp /^what does (.*) mean/
  - what_is
- - !ruby/regexp /(?i-mx:why should (.*) (be) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why does (.*) (create) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why did (.*) (hit) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (a parent of) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (an ancestor of) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (taller than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (funnier than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (greater than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (better than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (bigger than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (larger than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:why is (.*) (smaller than) (.*))/
  - generic_why_is_a_r_b
- - !ruby/regexp /(?i-mx:^why (?:is|are) (.*) heavier than (.*))/
  - why_is_a_heavier_than_b?
- - !ruby/regexp /(?i-mx:^why (?:is|are) (.*) related to (.*))/
  - why_is_a_related_to_b?
- - !ruby/regexp /(?i-mx:^why (?:is|are) (.*) the same (?:thing )?as (.*))/
  - why
- - !ruby/regexp /(?i-mx:^why do (.*) student teach)/
  - why_do_x_student_teach
- - !ruby/regexp /(?i-mx:^why does (.*) student teach)/
  - why_do_x_student_teach
- - !ruby/regexp /(?i-mx:^why (?:does|do) (.*) mean (?:the same )?(?:thing )?(?:as )?(.*))/
  - why
- - !ruby/regexp /(?i-mx:^why (?:is|are|was|were) (\w+) (\w+))/
  - why
- - !ruby/regexp /(?i-mx:^why (?:is|are|was|were) "(.*)" "(.*)")/
  - why
- - !ruby/regexp /(?i-mx:^why (?:is|are|was|were) ((?:this |that |these |those )?.*?)+ (.*))/
  - why
- - !ruby/regexp /(?i-mx:^why (?:is|are|was|were) ((?:all |a |the |my |our |your )?.*?) (.*))/
  - why
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" ={1,2} \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" ={1,2} (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) ={1,2} \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) ={1,2} (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" equal to \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" equal \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" equal to (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) \"(.*)\" equal (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) equal to \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) equal \"(.*)\")/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) equal to (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do|is|are) (.*) equal (.*))/
  - why_does_a_equal_b
- - !ruby/regexp /(?i-mx:^why (?:does|do) (.*) (?:have|has) (.*))/
  - why_does_a_have_b
- - !ruby/regexp /(?i-mx:^why (?:does|do) (.*) (?:fly|flies))/
  - why_does_a_fly
- - !ruby/regexp /(?i-mx:^why can (.*) fly)/
  - why_does_a_fly
- - !ruby/regexp /(?i-mx:^delete (?:edge )?(.*?) (is better than) (.*))/
  - generic_remove_edge
- - !ruby/regexp /(?i-mx:^forget (?:that )?(.*?) (is better than) (.*))/
  - generic_remove_edge
- - !ruby/regexp /(?i-mx:^forget (?:edge )?(.*?) (is better than) (.*))/
  - generic_remove_edge
- - !ruby/regexp /(?i-mx:^remove (?:edge )?(.*?) (is better than) (.*))/
  - generic_remove_edge
- - !ruby/regexp /(?i-mx:^delete (?:edge )?(.*?) (?:is|are) (.*))/
  - remove_is_edge
- - !ruby/regexp /(?i-mx:^remove (?:edge )?(.*?) (?:is|are) (.*))/
  - remove_is_edge
- - !ruby/regexp /(?i-mx:^forget (?:that )?(.*?) (?:is|are) (.*))/
  - remove_is_edge
- - !ruby/regexp /(?i-mx:^(?:remove|delete|forget) (?:edge |that )?(.*?) (?:has|have) (.*))/
  - remove_has_edge
- - !ruby/regexp /(?i-mx:^(?:remove|delete|forget) (?:edge |that )?(.*?) (?:=) (.*))/
  - remove_equals_edge
- - !ruby/regexp /(?i-mx:what eat (.*))/
  - what_eat_x
- - !ruby/regexp /(?i-mx:^what eats (.*))/
  - what_eat_x
- - !ruby/regexp /(?i-mx:^(.*) (?:is|are) not (.*))/
  - a_is_not_b
- - !ruby/regexp /(?i-mx:^(.*) (?:was|were) not (.*))/
  - a_is_not_b
- - !ruby/regexp /(?i-mx:^(.*) is plural)$/
  - add_to_plurals
- - !ruby/regexp /(?i-mx:^(.*) is singular)$/
  - add_to_singulars
- - !ruby/regexp /(?i-mx:^(.*) (?:is|are) (?:a )?part of (.*))/
  - a_is_part_of_b
- - !ruby/regexp /(?i-mx:is (\w+) (.*) who (.*))/
  - is_np_np_who_vp
- - !ruby/regexp /(?i-mx:^is "(.*)" "(.*)")/
  - is_a_b?
- - !ruby/regexp /(?i-mx:should (.*) (be) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:is (.*) (a parent of) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:is (.*) (a parent of) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (love) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (create) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (include) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:did (.*) (talk about) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:did (.*) (talk about) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:did (.*) (write) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (create) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (like) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:does (.*) (know) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:did (.*) (hit) (.*))/
  - generic_does_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (should be) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (creates) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is a parent of) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is an ancestor of) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (loves) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (talked about) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (talked about) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (wrote) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (likes) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (knows) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (hit) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is a member of) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (are older than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is older than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is faster than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (are faster than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is taller than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is funnier than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is greater than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is heavier than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is smaller than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (are smaller than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is warmer than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is better than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is bigger than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (creates) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) (is larger than) (.*))/
  - generic_a_r_b
- - !ruby/regexp /(?i-mx:(.*) is related to (.*))/
  - a_is_related_to_b
- - !ruby/regexp /(?i-mx:^(.*) says (?:that )?(.*))/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^(.*) means the same as (.*))/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^(.*) means (.*))/
  - a_r_b!
- - !ruby/regexp /(?i-mx:(.*) is had by (.*))/
  - a_is_had_by_b
- - !ruby/regexp /(?i-mx:(.*) are had by (.*))/
  - a_is_had_by_b
- - !ruby/regexp /(?i-mx:^(.*) is the same as (.*))/
  - a_r_b!
- - !ruby/regexp /^(.*) am (.*)/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^when (?:is|was|are|were) (.*))/
  - when_is_a
- - !ruby/regexp /(?i-mx:what are (.*)'s relations?)/
  - a_what?
- - !ruby/regexp /(?i-mx:^(.*) are (.*))/
  - a_r_b!
- - !ruby/regexp /^"(.*)" is "(.*)"/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^(.*) was (.*))/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^(.*) were (.*))/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^(?:does|is) (\d+).* (\>|\<|\*|\-|\+|\\) (\d+))/
  - a_sign_b
- - !ruby/regexp /(?i-mx:^(?:does|is) \"(.*)\" ={1,2} \"(.*)\")/
  - does_a_equal_b
- - !ruby/regexp /(?i-mx:^(?:does|is) \"(.*)\" ={1,2} (.*))/
  - does_a_equal_b
- - !ruby/regexp /(?i-mx:^(?:does|is) (.*) ={1,2} \"(.*)\")/
  - does_a_equal_b
- - !ruby/regexp /(?i-mx:^(?:does|is) (.*) ={1,2} (.*))/
  - does_a_equal_b
- - !ruby/regexp /(?i-mx:^(?:do|are) (.*) ={1,2} (.*))/
  - does_a_equal_b
- - !ruby/regexp /(?i-mx:^is \"(.*)\" true)(?:\?)*$/
  - is_blank_true
- - !ruby/regexp /(?i-mx:^is (.*) true)(?:\?)*$/
  - is_blank_true
- - !ruby/regexp /^is (.*) (an ancestor of) (.*)/
  - generic_is_a_r_b
- - !ruby/regexp /^is (.*) (a member of) (.*)/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^are (.*) (older than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (older than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (faster than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^are (.*) (faster than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (taller than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:is (.*) (funnier than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:is (.*) (greater than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (heavier than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (smaller than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (warmer than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (better than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (bigger than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) (larger than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /(?i-mx:^is (.*) related to (.*))/
  - is_a_related_to_b?
- - !ruby/regexp /(?i-mx:^is (.*) (.* than) (.*))/
  - generic_is_a_r_b
- - !ruby/regexp /^(.*) is "(.*)"/
  - a_r_b!
- - !ruby/regexp /^"(.*)" is (.*)/
  - a_r_b!
- - !ruby/regexp /^(.*) is (.*)/
  - a_r_b!
- - !ruby/regexp /(?i-mx:^is (\w+\'s \w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^was (\w+\'s \w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^is (.*) the same (?:thing )?as (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^does (.*) mean (?:the same )?(?:thing )?(?:as )?(.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^is ((?:a |the |all |some |my )\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^is ((?:that |this )\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^is ((?:my |our )\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^am (\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^is (\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^are ((?:these |those )\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^are ((?:a |the |all |some )\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^are "(.*)" "(.*)")/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^are (.*) the same (?:thing )?as (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^are (\w+) (.*))/
  - is_a_b?
- - !ruby/regexp /(?i-mx:^(does|do) (.*) have (.*))/
  - does_a_have_b
- - !ruby/regexp /(?i-mx:^what (?:does|is|do|are) \"(.*)\" ={1,2})/
  - what_does_a_equal
- - !ruby/regexp /(?i-mx:^what (?:does|is|do|are) (.*) ={1,2})/
  - what_does_a_equal
- - !ruby/regexp /(?i-mx:^who (?:does|is|do|are) \"(.*)\" ={1,2})/
  - what_does_a_equal
- - !ruby/regexp /(?i-mx:^who (?:does|is|do|are) (.*) ={1,2})/
  - what_does_a_equal
- - !ruby/regexp /(?i-mx:^"(.*)" ={1,2} "(.*)")/
  - a_equals_b
- - !ruby/regexp /(?i-mx:^"(.*)" ={1,2} (.*))/
  - a_equals_b
- - !ruby/regexp /(?i-mx:^(.*) ={1,2} "(.*)")/
  - a_equals_b
- - !ruby/regexp /(?i-mx:^(.*) ={1,2} (.*))/
  - a_equals_b
- - !ruby/regexp /(?i-mx:^load graph( .*))/
  - load_graph
- - !ruby/regexp /(?i-mx:^(.*) (have|has) (.*))/
  - a_has_b
- - !ruby/regexp /(?i-mx:^what (does|do) (.*) have)/
  - what_does_a_have
- - !ruby/regexp /(?i-mx:^who (does|do) (.*) have)/
  - what_does_a_have
- - !ruby/regexp /(?i-mx:^(.*) may make (.*))/
  - a_may_make_b
- - !ruby/regexp /(?i-mx:^can (.*) make (.*))/
  - can_a_make_b
- - !ruby/regexp /(?i-mx:^can (.*) fly)/
  - can_a_fly
- - !ruby/regexp /(?i-mx:^does (.*) fly)/
  - can_a_fly
- - !ruby/regexp /(?i-mx:^do (.*) fly)/
  - can_a_fly
- - !ruby/regexp /(?i-mx:^(.*) can fly)/
  - a_flies
- - !ruby/regexp /(?i-mx:^(.*) fly)/
  - a_flies
- - !ruby/regexp /(?i-mx:^(.*) flies)/
  - a_flies
- - !ruby/regexp /(?i-mx:^set save mode off)/
  - set_save_mode_off
- - !ruby/regexp /(?i-mx:^set save mode on)/
  - set_save_mode_on
- - !ruby/regexp /(?i-mx:^read (.*))/
  - read_file
- - !ruby/regexp /(?i-mx:^what was the last file read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what was the last file you read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what (?:was|is) the file (?:you )?last read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what (?:was|is) the file (?:you )?read last)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what file did (?:you )?read last)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^what file did (?:you )?last read)/
  - what_was_last_file_read
- - !ruby/regexp /(?i-mx:^you are likely to find (.*))/
  - you_are_likely_to_find
- - !ruby/regexp /(?i-mx:^how many vertices)/
  - how_many_facts
- - !ruby/regexp /(?i-mx:^how many factoids)/
  - how_many_factoids
- - !ruby/regexp /(?i-mx:^(.*) recommends (.*))/
  - a_recommends_b
- - !ruby/regexp /(?i-mx:^does (.*) recommend (.*))/
  - does_a_recommend_b
- - !ruby/regexp /(?i-mx:does (.*) eat (.*))/
  - does_x_eat_y
- - !ruby/regexp /(?i-mx:^do (.*) eat (.*))/
  - does_x_eat_y
- - !ruby/regexp /(?i-mx:(.*) eat (.*))/
  - x_eat_y
- - !ruby/regexp /(?i-mx:^(.*) eats (.*))/
  - x_eat_y
- - !ruby/regexp /(?i-mx:^what does (.*) eat)/
  - what_do_x_eat
- - !ruby/regexp /(?i-mx:what do (.*) eat)/
  - what_do_x_eat
- - !ruby/regexp /(?i-mx:^do (.*) student teach)/
  - do_x_student_teach
- - !ruby/regexp /(?i-mx:^(.*) student teach)/
  - x_student_teach
- - !ruby/regexp /(?i-mx:^(.*) student teaches)/
  - x_student_teach
- - !ruby/regexp /(?i-mx:why does (.*) contain (.*))/
  - why_does_a_contain_b
- - !ruby/regexp /(?i-mx:does (.*) contain (.*))/
  - does_a_contain_b
- - !ruby/regexp /(?i-mx:what contains (.*))/
  - what_contains_x
- - !ruby/regexp /(?i-mx:what .* contains (.*))/
  - what_contains_x
- - !ruby/regexp /(?i-mx:what .* contain (.*))/
  - what_contains_x
- - !ruby/regexp /(?i-mx:how many .*contain (.*))/
  - how_many_contain_x
- - !ruby/regexp /(?i-mx:(.*) contains (.*))/
  - a_contains_b
- - !ruby/regexp /(?i-mx:^show graph)/
  - print_graph
- - !ruby/regexp /(?i-mx:^show the graph)/
  - print_graph
- - !ruby/regexp /(?i-mx:what does (.*) contain)/
  - what_does_a_contain
- - !ruby/regexp /(?i-mx:(.*) sat (.*))/
  - a_sat_b
- - !ruby/regexp /(?i-mx:what did (.*) sit)/
  - what_did_a_sit
- - !ruby/regexp /(?i-mx:why did (.*) sit (.*))/
  - why_did_a_sit_b
- - !ruby/regexp /(?i-mx:did (.*) sit (.*))/
  - did_a_sit_b
- - !ruby/regexp /(?i-mx:update graph)/
  - update_graph
- - !ruby/regexp /(?i-mx:^erase graph)/
  - reset_graph
- - !ruby/regexp /^reload syn/
  - :load_synonyms
- - !ruby/regexp /(?i-mx:download graph)/
  - update_graph
- - !ruby/regexp /(?i-mx:(\d+).*? (\>|\<|\=\=|\+|\-|\*|\/) (\d+))/
  - a_sign_b
- - !ruby/regexp /(?i-mx:^what do you call (.*))/
  - what_is
- - !ruby/regexp /(?i-mx:^what (?:does|do|did) (.*?) (.*))/
  - generic_what_did_a_r
- - !ruby/regexp /(?i-mx:^(.*) includes (.*))/
  - a_includes_b
- - !ruby/regexp /(?i-mx:^(.*) include (.*))/
  - a_includes_b
- - !ruby/regexp /(?i-mx:(.*) includes (.*))/
  - a_includes_b
- - !ruby/regexp /(?i-mx:(.*) != (.*))/
  - a_does_not_equal_b
- - !ruby/regexp /(?i-mx:(.*) whistles)/
  - a_whistles
- - !ruby/regexp /(?i-mx:Does (.*) whistle?)/
  - does_a_whistle
